petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatGetColumnNorms

Gets the norms of each column of a sparse or dense matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetColumnNorms(Mat A,NormType type,PetscReal norms[])

### Input Parameter

| A | - the matrix
| type | - NORM_2, NORM_1 or NORM_INFINITY

### Output Parameter

norms -an array as large as the TOTAL number of columns in the matrix

### Notes

Each process has ALL the column norms after the call. Because of the way this is computed each process gets all the values, if each process wants only some of the values it should extract the ones it wants from the array.

### See Also

NormType, MatNorm()

### Level

intermediate

### Location

src/mat/utils/getcolv.c

### Examples

src/mat/examples/tutorials/ex10.c.html

### Implementations

MatGetColumnNorms_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatGetColumnNorms_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatGetColumnNorms_MPIBAIJ in src/mat/impls/baij/mpi/mpibaij.c
MatGetColumnNorms_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatGetColumnNorms_SeqDense in src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages